Summary:	SGML document type definition for DocBook 3.0
Summary(es.UTF-8):	OASIS DTD DocBook Group para documentación técnica
Summary(pl.UTF-8):	DTD dla dokumentów DocBook 3.0
Summary(pt_BR.UTF-8):	DTD DocBook Davenport Group para documentação técnica
Summary(ru.UTF-8):	SGML DTD для технической документации в формате DocBook 3.0
Summary(uk.UTF-8):	SGML DTD для технічної документації в форматі DocBook 3.0
Name:		docbook-dtd30-sgml
Version:	1.0
Release:	20%{?tld}
License:	distributable
Group:		Applications/Text
Source0:	http://www.oasis-open.org/docbook/sgml/3.0/docbk30.zip
# Source0-md5:	9a7f5b1b7dd52d0ca4fb080619f0459c
Source1:	%{name}-Makefile
Patch0:		%{name}-catalog.patch
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd-sgml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages). This
syntax is SGML-compliant and is developed by the OASIS consortium.
This is the version 3.0 of this DTD.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów przeznaczonych do
tworzenia dokumentacji programistycznej. Ten pakiet zawiera wersję 3.0
DTD.

%description -l pt_BR.UTF-8
DTD DocBook Davenport Group para documentação técnica.

%description -l ru.UTF-8
DocBook - это SGML DTD (document type definition) с описанием
синтаксиса тегов в текстах технической документации (статьи, книги,
man-страницы) Этот синтаксис является SGML-совместимым, его
разработали в консорциуме OASIS. Это версия 3.0 этого DTD.

%description -l uk.UTF-8
DocBook - це SGML DTD (document type definition), що описує синтаксис
тегів в текстах технічної документації (статті, книги, man-сторінки).
Цей синтаксис є SGML-сумісним, його розроблено в консорціумі OASIS. Це
версія 3.0 цього DTD.

%prep
%setup -q -c
chmod -R a+rX,g-w,o-w .
cp %{SOURCE1} Makefile
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- docbook-dtd30-sgml < 1.0-15
if ! grep -q /etc/sgml/sgml-docbook-3.0.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-3.0.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/sgml/docbook/sgml-dtd-3.0
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/docbook-dtd30-sgml.git;a=log;h=master

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dc06d6b
- release 20

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4436229
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 752a32d
- converted to UTF-8

* Mon Apr 18 2005 Mariusz Mazur <mmazur@pld-linux.org> f5d9efe
- rel 19 for th

* Fri Dec 17 2004 sparky <sparky@pld-linux.org> 9c46612
- spanish desc/summary fixes; many just thrown

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> ad7bcc5
- release 18 for Ac (17 is for Ra)

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> 491c9f8
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> bef1c49
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4092b28
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 20 2003 kloczek <kloczek@pld-linux.org> 58f0942
- release 17: merge translations from KSI and Conectiva.

* Tue Feb 11 2003 Jakub Bogusz <qboosh@pld-linux.org> ad52c4f
- cosmetics or minor fixes where necessary

* Wed Sep 04 2002 Artur Frysiak <artur@frysiak.net> d6a63b1
- drop sgml-iso-ent-fix
- release 16

* Wed Sep 04 2002 Jakub Bogusz <qboosh@pld-linux.org> 3bfbd0c
- simplified prep

* Tue Sep 03 2002 Artur Frysiak <artur@frysiak.net> cadc9e1
- release 15
- filter all files with sgml-iso-ent-fix to fix SMGL ISO entities PublicId (like in sgml-common)
- register in centralized SGML catalog only if not already registered
- unregister only if uninstalled (not if upgraded)
- added %%trigger to fix old brain-dead %%postun

* Wed Aug 14 2002 marcus <marcus@pld-linux.org> fc994bd
- fixed openjade path
- use new %%doc
- rel.14.

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 70731c3
- fixed a small typo

* Sat Apr 06 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b2d3de
- openjade 1.4

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> c2e35c1
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 878628a
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Feb 01 2002 ankry <ankry@pld-linux.org> e547dd3
- added Group(fr)

